# frozen_string_literal: true

Gem::Specification.new do |spec|
	spec.name          = "dhall-rails"
	spec.version       = `git describe --always --dirty`
	spec.authors       = ["Stephen Paul Weber"]
	spec.email         = ["dev@singpolyma.net"]
	spec.license       = "GPL-3.0"

	spec.summary       = "Rails helpers for using Dhall instead of YAML"
	spec.description   = "Use Dhall everywhere a Rails app might use YAML"
	spec.homepage      = "https://git.sr.ht/~singpolyma/dhall-rails"

	spec.files         =
		`git ls-files -z`.split("\x00".b).reject do |f|
			f.start_with?(".", "test/") ||
				f == "Makefile" || f == "Gemfile"
		end
	spec.bindir        = "bin"
	spec.executables   = spec.files.grep(/^bin\//) { |f| File.basename(f) }
	spec.require_paths = ["lib"]

	spec.add_dependency "dhall", "~> 0.3.0"
	spec.add_dependency "rails", "~> 5.2"

	spec.add_development_dependency "simplecov", "~> 0.16.1"
end
